> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign Webhook

> Retrieve a campaign webhook by ID

# Get Campaign Webhook

Retrieve a campaign webhook configuration.

## Endpoint

```
GET /api/v1/campaigns/{campaign_id}/webhooks/{webhook_id}
```

## Path parameters

<ParamField path="campaign_id" type="string" required>Campaign UUID.</ParamField>
<ParamField path="webhook_id" type="string" required>Webhook UUID.</ParamField>

## Request headers

<ParamField header="Authorization" type="string" required>
  Bearer token. Format: `Bearer talq_your_environment_token_here`
</ParamField>

## Examples

<RequestExample>
  ```bash theme={null}
  curl "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
    -H "Authorization: Bearer talq_your_environment_token_here"
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "data": {
      "id": "webhook-uuid-1",
      "campaign_id": "campaign-uuid",
      "name": "Lifecycle Webhook",
      "webhook_url": "https://example.com/campaign-events",
      "events": ["campaign.started", "campaign.completed"],
      "enabled": true,
      "timeout": 30,
      "max_retries": 3,
      "include_call_events": false,
      "created_at": "2024-01-15T15:00:00Z"
    }
  }
  ```
</ResponseExample>
